Enumerations

# osk_widget.h File Reference

Types related to the osk widgets. More...

Go to the source code of this file.

## Enumerations
enum | OnScreenKeyboardWidgets { WID_OSK_CAPTION, WID_OSK_TEXT, WID_OSK_CANCEL, WID_OSK_OK, WID_OSK_BACKSPACE, WID_OSK_SPECIAL, WID_OSK_CAPS, WID_OSK_SHIFT, WID_OSK_SPACE, WID_OSK_LEFT, WID_OSK_RIGHT, WID_OSK_LETTERS, WID_OSK_NUMBERS_FIRST = WID_OSK_LETTERS, WID_OSK_NUMBERS_LAST = WID_OSK_NUMBERS_FIRST + 13, WID_OSK_QWERTY_FIRST, WID_OSK_QWERTY_LAST = WID_OSK_QWERTY_FIRST + 11, WID_OSK_ASDFG_FIRST, WID_OSK_ASDFG_LAST = WID_OSK_ASDFG_FIRST + 11, WID_OSK_ZXCVB_FIRST, WID_OSK_ZXCVB_LAST = WID_OSK_ZXCVB_FIRST + 11 }
| Widgets of the OskWindow class. More...

## Detailed Description

Types related to the osk widgets.

Definition in file osk_widget.h.

## Enumeration Type Documentation

enum OnScreenKeyboardWidgets

Widgets of the OskWindow class.

Enumerator:

  WID_OSK_CAPTION | Caption of window.
  WID_OSK_TEXT | Edit box.
  WID_OSK_CANCEL | Cancel key.
  WID_OSK_OK | Ok key.
  WID_OSK_BACKSPACE | Backspace key.
  WID_OSK_SPECIAL | Special key (at keyborads often used for tab key).
  WID_OSK_CAPS | Capslock key.
  WID_OSK_SHIFT | Shift(lock) key.
  WID_OSK_SPACE | Space bar.
  WID_OSK_LEFT | Cursor left key.
  WID_OSK_RIGHT | Cursor right key.
  WID_OSK_LETTERS | First widget of the 'normal' keys.
  WID_OSK_NUMBERS_FIRST | First widget of the numbers row.
  WID_OSK_NUMBERS_LAST | Last widget of the numbers row.
  WID_OSK_QWERTY_FIRST | First widget of the qwerty row.
  WID_OSK_QWERTY_LAST | Last widget of the qwerty row.
  WID_OSK_ASDFG_FIRST | First widget of the asdfg row.
  WID_OSK_ASDFG_LAST | Last widget of the asdfg row.
  WID_OSK_ZXCVB_FIRST | First widget of the zxcvb row.
  WID_OSK_ZXCVB_LAST | Last widget of the zxcvb row.

Definition at line 16 of file osk_widget.h.